READLINK(1)

NOM
readlink - affiche la cible des liens symboliques sur la sortie standard

SYNOPSIS
readlink [-fn] fichier [...]

DESCRIPTION
Lorsqu'il est invoqué avec le chemin d'un lien symbolique en argument, l'utilitaire readlink déréférence le lien symbolique et affiche le nom de la cible sur la sortie standard. Lorsque plus d'un chemin est donné, readlink affiche les liens symboliques qui ont été trouvés parmis ces chemins. Si readlink est invoqué avec un argument n'étant pas le chemin d'un lien symbolique, il quitte avec une valeur de retour non nulle, sans rien afficher.

Les options suivantes sont disponibles :

-f  Utilise realpath(3) pour produire une forme canonique en suivant récursivement tous les liens de chaque chemin donné en argument. Notez que les chemins résultants peuvent ne pas exister.

-n  N'ajoute pas de retour à la ligne.

L'utilitaire readlink quitte avec une valeur de retour de 0 en cas de succès, ou >0 si une erreur est survenue.

NOTE
Les paquets Debian utilisant readlink dans leurs scripts de maintenance (« maintainer scripts ») doivent dépendre de debianutils >= 1.13.1. Pouvoir fournir plusieurs chemins en argument est supporté depuis la version 1.23.

VOIR AUSSI
readlink(2) realpath(3)

HISTORIQUE
L'utilitaire readlink est apparu pour la première fois dans OpenBSD.

TRADUCTION
Ce document est une traduction, réalisée par Nicolas FRANÇOIS le 29 octobre 2004.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man.

N'hésitez pas à signaler à l'auteur ou à la liste de traduction <debian-l10-french@lists.debian.org>, selon le cas, toute erreur dans cette page de manuel.